
bmap viewdepth="viewDepth.pcx";
bmap low="low.pcx";
bmap low_r="low_r.pcx";
bmap normal_set="normal.pcx";
bmap normal_set_r="normal_r.pcx";
bmap particles="Particles.pcx";
bmap high="High.pcx";
bmap high_r="High_r.pcx";
bmap geometry_img="Geometry.pcx";
bmap geometry_img_r="Geometry_r.pcx";
var view_depth=1;

panel warning_p
{
	bmap="warning.pcx";
	flags=transparent;
	alpha=85;
	layer=100;
}

function low_geometry
{
	if(geometry==1)
	{
geometry=0;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function normal_geometry
{
	if(geometry==0)
	{
geometry=1;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function low_view
{
	if(view_depth==1)
	{
		view_depth=0;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function normal_view
{
	if(view_depth==0)
	{
		view_depth=1;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function low_particles()
{
	if(particel_quality!=0)
	{
		particel_quality=0;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function normal_particles()
{
	if(particel_quality!=1)
	{
		particel_quality=1;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}
function close_warning()
{
	warning_p.visible=off;
	on_esc=options_menu;
	on_enter=options_menu;
}
function high_particles()
{
	if(particel_quality!=2)
	{
		warning_p.visible=on;
		on_mouse_left=close_warning;
		on_esc=close_warning;
		on_enter=close_warning;
		particel_quality=2;
		media_play("Wham.wav",null,100);
		game_save("save",1,sv_vars);
	}
}

function set_view()
{
	while(1)
	{
		clip_particles = 0.9;
		clip_factor=1;
		if(view_depth==0)
		{
		if(camera.tilt<-35)
		{
					camera.clip_far=20000;
	}
	else
	{
		camera.clip_far=1500;
	}
		}
		if(view_depth==1)
		{
			camera.clip_far=20000;
		}
		wait(3);
	}
}

panel graphics
{
	flags=overlay;
	layer=30;
	button=50,-30,viewdepth,viewdepth,viewdepth,null,null,null;
	button=200,-30,low_r,low,low_r,low_view,null,beep_button;
	button=300,-33,normal_set_r,normal_set,normal_set_r,normal_view,null,beep_button;
	button=-22,30,particles,particles,particles,null,null,null;
	button=200,30,low_r,low,low_r,low_particles,null,beep_button;
	button=300,27,normal_set_r,normal_set,normal_set_r,normal_particles,null,beep_button;
	button=400,27,high_r,high,high_r,high_particles,null,beep_button;
	button=61,90,geometry_img_r,geometry_img,geometry_img_r,null,null,null;
	button=200,90,low_r,low,low_r,low_geometry,null,beep_button;
	button=300,87,normal_set_r,normal_set,normal_set_r,normal_geometry,null,beep_button;
	button=160,190,ok_r,ok,ok_r,options_menu,null,beep_button;
}

function graphic_settings()
{
	media_play("wham.wav",null,100);

		on_enter=options_menu;

	cam_art.visible=off;
	resolution2.visible=off;
	resolution.visible=off;
	mouse_slider.visible=off;
	on_esc=options_menu;
	graphics.visible=on;
	while(graphics.visible==on)
	{
		graphics.pos_x=screen_size.x/2-200;
		graphics.pos_y=screen_size.y/2-35;
		warning_p.pos_x=screen_size.x/2-139;
		warning_p.pos_y=screen_size.y/2-57;
		wait(3);
	}
}
function close_graphic()
{
	graphics.visible=off;
	warning_p.visible=off;
}